GET /sslprofile/{uuid}/federated_info/
/sslprofile/{uuid}/federated_info/
UUID of the object to fetch
Avi Tenant Header
Avi Tenant Header UUID
Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.
The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.
OK
{
"cluster_uuid": "string",
"name": "string",
"obj_uuid": "string",
"repl_state": {
"cfg_version": 0,
"cfg_version_in_flight": 0,
"last_changed_time": {
"secs": 0,
"usecs": 0
},
"local_config": {
"vsgs_info": [
{
"dnsvs_uuid": "string",
"ops": "string",
"timestamp": {
"secs": 0,
"usecs": 0
}
}
]
},
"reason": "string",
"site_uuid": "string",
"status": "string"
},
"tenant_ref": "string",
"uuid": "string"
}
The site controller cluster UUID. Field introduced in 31.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
SSLProfile name. Field introduced in 22.1.3. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
SSLProfile object uuid. Field introduced in 31.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
repl_state
The unique identifier of the tenant to which the SSLProfile belongs. It is a reference to an object of type Tenant. Field introduced in 31.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
UUID of the SSL profile. Field introduced in 22.1.3. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
log in failed
object not found
curl -H 'Authorization: <value>' https://{api_host}/api/sslprofile/{uuid}/federated_info